
    # Urls for mxisd Server 

    location /_matrix/client/r0/login {
        proxy_pass http://127.0.0.1:18090;
        proxy_set_header Host $host;
        proxy_set_header X-Forwarded-For $remote_addr;
    }
    
    location /_matrix/identity {
        proxy_pass http://127.0.0.1:18090/_matrix/identity;
        proxy_set_header Host $host;
        proxy_set_header X-Forwarded-For $remote_addr;
    }
    

	# Urls for Matrix Server

	location /  {

        	proxy_set_header        Host $host;
        	proxy_set_header        X-Real-IP $remote_addr;
	        proxy_set_header        X-Forwarded-For $proxy_add_x_forwarded_for;
        	proxy_set_header        X-Forwarded-Proto $scheme;
            
	        proxy_pass      http://127.0.0.1:18008/;
        	proxy_redirect  off;

    }

