

  server_tokens off;     # don't show the version number, a security best practice
  client_max_body_size 0;

    	location / {
        	proxy_read_timeout      300;
        	proxy_connect_timeout   300;
        	proxy_redirect          off;
 		    proxy_set_header   X-Forwarded-Proto $scheme;
        	proxy_set_header   Host              $http_host;
        	proxy_set_header   X-Real-IP         $remote_addr;
        	proxy_set_header   X-Forwarded-For   $proxy_add_x_forwarded_for;
        	proxy_set_header   X-Frame-Options   SAMEORIGIN;

        	proxy_set_header Upgrade $http_upgrade;
        	proxy_set_header Connection $connection_upgrade;

        	proxy_pass http://127.0.0.1:8065;
    	}


