
	location /  {

        	proxy_set_header        Host $host;
        	proxy_set_header        X-Real-IP $remote_addr;
	        proxy_set_header        X-Forwarded-For $proxy_add_x_forwarded_for;
        	proxy_set_header        X-Forwarded-Proto $scheme;

	        proxy_pass      http://127.0.0.1:42006/;
        	proxy_redirect  off;

    }

    # Redirect old Wiki Entries  
	location ~ /wiki/(?<part>.+)  {

        return 301         https://wiki.warpzone.ms/$part;
    }


    # Redirect old SpaceAPI Requests 
	location ~ /api/(?<part>.+)  {

        return 301         https://api.warpzone.ms/$part;
    }


    # Matterbridge Media Files 
	location /matterbridge/  {

        alias /srv/matterbridge/media/;
    }
